clear; clc; close all
% For loops allow us to iterate through data and repeatedly perform an
% operation. Let's see how this works:

x = ones(1,10); % initialize a 10 element vector

%begins with a value of n = 2 and repeats the entire loop, 
%incrementing by 1 through n = 6
for n = 2:10
    % takes the entry of x that corresponds one less than the current value
    % of n. Multiplies it by two. Replaces the nth entry of x with the new
    % value. 
    
    x(n) = 2 * x(n - 1) % There is no semicolon to suppress outputs here so
    %so you can see the code update as it goes. 
    
    % I've intentionally added a pause at each step of the loop so you can 
    % watch the elements of x update. As you run this code, look at the 
    % command window. 
    
    pause(1); %This can be removed. It is here for the demonstration.
    
    %we can also watch this happen graphically
    %plot(x(1:n),'.b','MarkerSize',10);
    %hold on
end


