function print2desktop(path,name,size)
 
if nargin<3
    size = [10,6];
end
 
if nargin<2
    name='newfig';
end
 
set(gcf,'InvertHardCopy','off');  % keep the colors as they are on screen
set(gcf,'Units','Inches');  % If this is left as 'normalized' 
% 'OuterPosition' and 'Position' interfere
 
set(gcf,'PaperUnits','Inches');
 
set(gcf,'PaperSize',size); % Set the paper size to match the position
set(gcf,'PaperPosition',[0 0 size]);  % Match the paper position to the position
set(gcf,'PaperOrientation','portrait');
set(gcf,'PaperPositionMode','auto');
 
print(gcf,'-dpng','-r300','-opengl',[path name '.png']);
 
disp([path name '.png"']);